Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 762661 - app-office/gnucash-4.4 fails to emerge no code for module (gnucash locale de_DE tax txf-help)
Summary: app-office/gnucash-4.4 fails to emerge no code for module (gnucash locale de_...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Aaron W. Swenson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-30 15:12 UTC by Fabio Coatti
Modified: 2021-01-20 05:42 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log.gz,38.23 KB, application/gzip)
2020-12-30 15:14 UTC, Fabio Coatti
Details
Install QA Notice (gnucash_4_4_qa_notice.txt,19.81 KB, text/plain)
2020-12-31 02:11 UTC, Petronio Coelho
Details
build.log.xz (build.log.xz,26.10 KB, application/x-xz)
2021-01-04 10:05 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Coatti 2020-12-30 15:12:39 UTC
FAILED: lib64/guile/2.2/site-ccache/gnucash/locale/de_DE/tax/txf.go 
cd /var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax && /usr/bin/cmake -E env LD_LIBRARY_PATH=/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/gnucash: GNC_UNINSTALLED=YES GNC_BUILDDIR=/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build GUILE_LOAD_PATH=/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4/libgnucash/tax:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax/deprecated:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/share/guile/site/2.2 GUILE_LOAD_COMPILED_PATH=/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/guile/2.2/site-ccache:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/guile/2.2/site-ccache/gnucash/deprecated GNC_MODULE_PATH=/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/gnucash: /usr/bin/guile -e "(@@ (guild) main)" -s /usr/bin/guild compile -o /var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/guile/2.2/site-ccache/gnucash/locale/de_DE/tax/txf.go /var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4/libgnucash/tax/de_DE/txf.scm
Backtrace:
In scripts/compile.scm:
   264:26 19 (_ _)
In system/base/target.scm:
     57:6 18 (with-target _ _)
In system/base/compile.scm:
    152:6 17 (compile-file _ #:output-file _ #:from _ #:to _ #:env _ #:opts _ #:canonicalization _)
     43:4 16 (call-once _)
In ice-9/boot-9.scm:
    841:4 15 (with-throw-handler _ _ _)
In system/base/compile.scm:
    59:11 14 (_)
   155:11 13 (_ #<closed: file 7d26df51b930>)
   235:18 12 (read-and-compile #<input: de_DE/txf.scm 13> #:from _ #:to _ #:env _ #:opts _)
   183:32 11 (compile-fold (#<procedure compile-tree-il (x e opts)>) (use-modules (gnucash locale de_DE tax txf-help)) #<directory (gnucash locale de_DE tax txf) 7d26de81b1e0> (#:to-file? #t #:warnings (unsupported-warning)))
In ice-9/boot-9.scm:
   2312:4 10 (save-module-excursion #<procedure 7d26de26a6c0 at language/scheme/compile-tree-il.scm:29:3 ()>)
In language/scheme/compile-tree-il.scm:
    31:15  9 (_)
In ice-9/psyntax.scm:
  1262:36  8 (expand-top-sequence ((use-modules (gnucash locale de_DE tax txf-help))) _ _ #f c (compile load eval) (hygiene gnucash locale de_DE tax txf))
  1209:24  7 (parse _ (("placeholder" placeholder)) ((top) #(ribcage () () ())) _ c (compile load eval) (hygiene gnucash locale de_DE tax txf))
   285:10  6 (parse _ (("placeholder" placeholder)) (()) _ c&e (compile load) (hygiene gnucash locale de_DE tax txf))
In ice-9/boot-9.scm:
  3377:20  5 (process-use-modules _)
   222:17  4 (map1 (((gnucash locale de_DE tax txf-help))))
  3378:31  3 (_ ((gnucash locale de_DE tax txf-help)))
   2803:6  2 (resolve-interface _ #:select _ #:hide _ #:prefix _ #:renamer _ #:version _)
In unknown file:
           1 (scm-error misc-error #f "~A ~S" ("no code for module" (gnucash locale de_DE tax txf-help)) #f)
In ice-9/boot-9.scm:
   752:25  0 (dispatch-exception _ _ _)


Reproducible: Always




Portage 3.0.12 (python 3.7.9-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-10.2.0, glibc-2.32-r6, 5.10.3-cova x86_64)
=================================================================
System uname: Linux-5.10.3-cova-x86_64-Intel-R-_Core-TM-_i7-6820HQ_CPU_@_2.70GHz-with-gentoo-2.7
KiB Mem:    65681812 total,  32705676 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Wed, 30 Dec 2020 14:05:22 +0000
Head commit of repository gentoo: 072dc9a3f8b1b3bcedbf09df4308adc50d92443d

sh bash 5.1_p4
ld GNU gold (Gentoo 2.35.1 p2 2.35.1) 1.16
app-shells/bash:          5.1_p4::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3-r1::gentoo
dev-lang/python:          2.7.18-r5::gentoo, 3.6.12-r1::gentoo, 3.7.9-r1::gentoo, 3.8.7::gentoo, 3.9.1::gentoo, 3.10.0_alpha3::gentoo
dev-util/cmake:           3.19.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7-r1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.3-r1::gentoo
sys-devel/binutils:       2.35.1-r1::gentoo
sys-devel/gcc:            7.5.0-r1::gentoo, 8.4.0-r2::gentoo, 9.3.0-r2::gentoo, 10.2.0-r5::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/repo/sync/gentoo.git
    priority: -1000
    sync-git-verify-commit-signature: yes

kde
    location: /var/lib/layman/kde
    sync-type: laymansync
    sync-uri: https://github.com/gentoo/kde.git
    masters: gentoo
    priority: 50

nvidia-docker-overlay
    location: /var/lib/layman/nvidia-docker-overlay
    sync-type: laymansync
    sync-uri: https://github.com/gronastech/nvidia-docker-overlay.git
    masters: gentoo
    priority: 50

local
    location: /usr/overlay
    masters: gentoo
    priority: 51

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O3 -fgraphite-identity -floop-nest-optimize -ftree-loop-distribution -flto=4 -fuse-linker-plugin -pipe -fpie -fpic -fstack-protector-strong -fstack-clash-protection"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/sddm/scripts/Xsetup"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php8.0/ext-active/ /etc/php/cgi-php8.0/ext-active/ /etc/php/cli-php8.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O3 -fgraphite-identity -floop-nest-optimize -ftree-loop-distribution -flto=4 -fuse-linker-plugin -pipe -fpie -fpic -fstack-protector-strong -fstack-clash-protection"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs clean-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/"
LANG="en_IE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -march=native -O3 -fgraphite-identity -floop-nest-optimize -ftree-loop-distribution -flto=4 -fuse-linker-plugin -pipe -fpie -fpic -fstack-protector-strong -fstack-clash-protection -Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="en it de"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="3dnow 3dnowext 3dnowprefetch X \ a52 aac aalib acl acpi activities aim alsa amd64 apng appstream ares asf ati audio audiofile avahi bash-completion berkdb bidi bl bluetooth branding bri bzip2 cairo caps cdda cdr cjk cli crypt cups curl dba dbus declarative device-mapper dga divx divx4linux dri dts dv dvb dvd dvdr dvdread eap-sim edl egl emboss encode ethereal evdev exif expat faad fam fame fbcon ffmpeg fftw flac force-cgi-redirect fortran ftp gallium garmin gd gdbm gif gimp gmedia gmp gnutls gphoto2 gpm gps gsm gtk gui h264 h323 iconv icq icu idn ifp ilbc imagemagick imap innodb ipod iproute2 ipv6 ithreads jabber java javascript joystick jpeg kde kipi kontact kvm kwallet lastfm lcms libglvnd libnotify libtirpc libvirtd live lm_sensors lua lvm lxc lzma lzo mad maildir matroska mbox mdnsresponder-compat mhash mime mjpeg mmap mmx mmxext mng mozdevelop mozilla mp3 mp4 mpeg msn mtp multilib mysql ncurses network networkmanager new-hpcups nfsv4 njb nls nptl nptlonly offensive ofx ogg oggvorbis ogm openal openexr opengl openmp oscar pam pango parted pcap pcre pdf phonon php plasma plotutils png policykit ppds pulseaudio qemu qml qt5 readline real rtc ruby samba sasl sdl seccomp semantic-desktop semantic-destkop sha512 sip slang slp smartcard sndfile snmp sox speex spell split-usr srt sse sse2 ssh ssl ssse3 startup-notification svg symlink systemd tcltk tcpd telepathy theora threads tiff tk touchpad tremor truetype udev udisks unicode upower usb utempter v4l v4l2 vaapi vcd vde vdpaum vhosts video videos vim-syntax virt-network virtualbox vorbis vulkan wav wayland widgets wifi wmf wmp wps wxwidgets wxwindows x264 xanim xattr xcb xface xft xine xinerama xml xosd xpm xscreensaver xsl xv xvid zeroconf zlib zpm" ABI_X86="64 32" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="libinput" KERNEL="linux" L10N="en it de en_IE" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LLVM_TARGETS="X86" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2 php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python3_7 python3_8 python3_9" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby25 ruby26 ruby27 ruby30" USERLAND="GNU" VIDEO_CARDS="i965 intel nvidia v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Fabio Coatti 2020-12-30 15:14:21 UTC
Created attachment 680290 [details]
build.log
Comment 2 Kobboi 2020-12-30 15:21:36 UTC
I guess my issue is similar:

FAILED: lib64/guile/2.2/site-ccache/gnucash/locale/us/tax/txf.go 
cd /var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax && /usr/bin/cmake -E env LD_LIBRARY_PATH=/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/gnucash: GNC_UNINSTALLED=YES GNC_BUILDDIR=/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build GUILE_LOAD_PATH=/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4/libgnucash/tax:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax/deprecated:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/share/guile/site/2.2 GUILE_LOAD_COMPILED_PATH=/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/guile/2.2/site-ccache:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/guile/2.2/site-ccache/gnucash/deprecated GNC_MODULE_PATH=/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64:/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/gnucash: /usr/bin/guile -e "(@@ (guild) main)" -s /usr/bin/guild compile -o /var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/guile/2.2/site-ccache/gnucash/locale/us/tax/txf.go /var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4/libgnucash/tax/us/txf.scm
Backtrace:
In scripts/compile.scm:
   264:26 19 (_ _)
In system/base/target.scm:
     57:6 18 (with-target _ _)
In system/base/compile.scm:
    152:6 17 (compile-file _ #:output-file _ #:from _ #:to _ #:env _ #:opts _ …)
     43:4 16 (call-once _)
In ice-9/boot-9.scm:
    841:4 15 (with-throw-handler _ _ _)
In system/base/compile.scm:
    59:11 14 (_)
   155:11 13 (_ #<closed: file 7f3b82908930>)
   235:18 12 (read-and-compile #<input: us/txf.scm 13> #:from _ #:to _ #:env …)
   183:32 11 (compile-fold (#<procedure compile-tree-il (x e opts)>) (# (…)) …)
In ice-9/boot-9.scm:
   2312:4 10 (save-module-excursion #<procedure 7f3b8165ea60 at language/sch…>)
In language/scheme/compile-tree-il.scm:
    31:15  9 (_)
In ice-9/psyntax.scm:
  1262:36  8 (expand-top-sequence ((use-modules (gnucash locale us tax #))) _ …)
  1209:24  7 (parse _ (("placeholder" placeholder)) ((top) #(ribcage () …)) _ …)
   285:10  6 (parse _ (("placeholder" placeholder)) (()) _ c&e (compile #) (…))
In ice-9/boot-9.scm:
  3377:20  5 (process-use-modules _)
   222:17  4 (map1 (((gnucash locale us tax txf-help))))
  3378:31  3 (_ ((gnucash locale us tax txf-help)))
   2803:6  2 (resolve-interface _ #:select _ #:hide _ #:prefix _ #:renamer _ …)
In unknown file:
           1 (scm-error misc-error #f "~A ~S" ("no code for module" (# # …)) #)
In ice-9/boot-9.scm:
   752:25  0 (dispatch-exception _ _ _)

ice-9/boot-9.scm:752:25: In procedure dispatch-exception:
no code for module (gnucash locale us tax txf-help)
Comment 3 Ionen Wolkens 2020-12-30 17:03:10 UTC
Unsure for cause but I can reproduce even with all USE unset on ~amd64.
Comment 4 Aaron W. Swenson gentoo-dev 2020-12-30 17:13:09 UTC
Hmmm....I ran into this with 4.3, but not 4.4.

Can you guys try compiling again? No changes. Just compile again. Maybe something gets cached somewhere.
Comment 5 Ionen Wolkens 2020-12-30 17:21:14 UTC
(In reply to Aaron W. Swenson from comment #4)
> Can you guys try compiling again? No changes. Just compile again. Maybe
> something gets cached somewhere.
Are you using unmasked guile-3.0.4? Just tried and that works for me.
Comment 6 Ionen Wolkens 2020-12-30 17:35:25 UTC
(In reply to Ionen Wolkens from comment #5)
> Are you using unmasked guile-3.0.4? Just tried and that works for me.
Actually nevermind, there indeed seems to be something strange going on (it worked with guile-2.2.7 this time)
Comment 7 Ionen Wolkens 2020-12-30 17:41:19 UTC
With my successfully installed gnucash-4.4, now did this
emerge =gnucash-4.2-r1 (downgrade)
emerge =gnucash-4.4 (failed)
emerge =gnucash-4.4 (failed again)

I just don't know.
Comment 8 Ionen Wolkens 2020-12-30 17:48:09 UTC
Oh!

Depcleaning gnucash-4.2 then installing 4.4 seems to work. Maybe it's using something from the system?
Comment 9 Adrian Bassett 2020-12-30 18:04:17 UTC
(In reply to Ionen Wolkens from comment #8)
> Oh!
> 
> Depcleaning gnucash-4.2 then installing 4.4 seems to work. Maybe it's using
> something from the system?

I agree with Ionen's comments as this is what I found, too.

Perhaps it depends on which installed version you're upgrading _from_, given Aaron's comments in https://bugs.gentoo.org/762661#c4
Comment 10 Aaron W. Swenson gentoo-dev 2020-12-30 18:53:14 UTC
(In reply to Adrian Bassett from comment #9)
> (In reply to Ionen Wolkens from comment #8)
> > Oh!
> > 
> > Depcleaning gnucash-4.2 then installing 4.4 seems to work. Maybe it's using
> > something from the system?
> 
> I agree with Ionen's comments as this is what I found, too.
> 
> Perhaps it depends on which installed version you're upgrading _from_, given
> Aaron's comments in https://bugs.gentoo.org/762661#c4

Unfortunately, this isn't it either. GnuCash 4.2-r1 has remained installed on my system. I never got 4.3 to work before 4.4 was released. 4.4 just worked for me.

No other changes took place between 4.3 and 4.4 that I can recall.

I did try rebuilding guile USE="-deprecated", but that didn't work for 4.3.

Although, I think I closed an older bug similar to this that threw fits if GnuCash was already installed.
Comment 11 Petronio Coelho 2020-12-31 02:11:39 UTC
Created attachment 680338 [details]
Install QA Notice

(In reply to Ionen Wolkens from comment #8)
> Oh!
> 
> Depcleaning gnucash-4.2 then installing 4.4 seems to work. Maybe it's using
> something from the system?

Thirding this as it worked for me, but it did leave me with a nice QA notice on install that may or may not be related to the issue.
Comment 12 Ionen Wolkens 2020-12-31 04:13:50 UTC
I'm inclined to agree with comment #10 that there's something else to this.
e.g. it works if I strace guile, and then doesn't again if I don't.
(wanted to check what modules it really loaded)

Makes it "seem" like a obscure guile bug which made me try guile3 again, but unfortunately I've been able to reproduce with it as well after all.
Comment 13 Aaron W. Swenson gentoo-dev 2020-12-31 18:19:53 UTC
@Scheme project: Do you think you could take a look and see if I'm doing something wrong?

I'd pester upstream, but they're unreasonably prickly towards us.
Comment 14 Dennis Schridde 2021-01-04 10:05:56 UTC
Created attachment 680989 [details]
build.log.xz

Slightly different backtraces:

FAILED: lib64/guile/2.2/site-ccache/gnucash/report/html-scatter.go 
cd /tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/gnucash/report && /usr/bin/cmake -E env LD_LIBRARY_PATH=/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64:/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/gnucash: GNC_UNINSTALLED=YES GNC_BUILDDIR=/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build GUILE_LOAD_PAT>
Backtrace:
In scripts/compile.scm:
   264:26 19 (_ _)
In system/base/target.scm:
     57:6 18 (with-target _ _)
In system/base/compile.scm:
    152:6 17 (compile-file _ #:output-file _ #:from _ #:to _ #:env _ #:opts _ #:canonicalization _)
     43:4 16 (call-once _)
In ice-9/boot-9.scm:
    841:4 15 (with-throw-handler _ _ _)
In system/base/compile.scm:
    59:11 14 (_)
   155:11 13 (_ #<closed: file 7fd284070930>)
   235:18 12 (read-and-compile #<input: html-scatter.scm 13> #:from _ #:to _ #:env _ #:opts _)
   183:32 11 (compile-fold (#<procedure compile-tree-il (x e opts)>) (use-modules (gnucash report html-chart) (gnucash report report-utilities)) #<directory (gnucash report html-scatter) 7fd28336e1e0> (#:to-file? #t #:warnings (unsupported-warning)))
In ice-9/boot-9.scm:
   2312:4 10 (save-module-excursion #<procedure 7fd2801fe980 at language/scheme/compile-tree-il.scm:29:3 ()>)
In language/scheme/compile-tree-il.scm:
    31:15  9 (_)
In ice-9/psyntax.scm:
  1262:36  8 (expand-top-sequence ((use-modules (gnucash report html-chart) (gnucash report report-utilities))) _ _ #f c (compile load eval) (hygiene gnucash report html-scatter))
  1209:24  7 (parse _ (("placeholder" placeholder)) ((top) #(ribcage () () ())) _ c (compile load eval) (hygiene gnucash report html-scatter))
   285:10  6 (parse _ (("placeholder" placeholder)) (()) _ c&e (compile load) (hygiene gnucash report html-scatter))
In ice-9/boot-9.scm:
  3377:20  5 (process-use-modules _)
   222:17  4 (map1 (((gnucash report html-chart)) ((gnucash report report-utilities))))
  3378:31  3 (_ ((gnucash report html-chart)))
   2803:6  2 (resolve-interface _ #:select _ #:hide _ #:prefix _ #:renamer _ #:version _)
In unknown file:
           1 (scm-error misc-error #f "~A ~S" ("no code for module" (gnucash report html-chart)) #f)
In ice-9/boot-9.scm:
   752:25  0 (dispatch-exception _ _ _)

ice-9/boot-9.scm:752:25: In procedure dispatch-exception:
no code for module (gnucash report html-chart)


FAILED: lib64/guile/2.2/site-ccache/gnucash/report/commodity-utilities.go 
cd /tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/gnucash/report && /usr/bin/cmake -E env LD_LIBRARY_PATH=/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64:/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/gnucash: GNC_UNINSTALLED=YES GNC_BUILDDIR=/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build GUILE_LOAD_PAT>
Backtrace:
In scripts/compile.scm:
   264:26 19 (_ _)
In system/base/target.scm:
     57:6 18 (with-target _ _)
In system/base/compile.scm:
    152:6 17 (compile-file _ #:output-file _ #:from _ #:to _ #:env _ #:opts _ #:canonicalization _)
     43:4 16 (call-once _)
In ice-9/boot-9.scm:
    841:4 15 (with-throw-handler _ _ _)
In system/base/compile.scm:
    59:11 14 (_)
   155:11 13 (_ #<closed: file 7f78546ed930>)
   235:18 12 (read-and-compile #<input: commodity-utilities.scm 13> #:from _ #:to _ #:env _ #:opts _)
   183:32 11 (compile-fold (#<procedure compile-tree-il (x e opts)>) _ _ (#:to-file? #t #:warnings (unsupported-warning)))
In ice-9/boot-9.scm:
   2312:4 10 (save-module-excursion _)
In language/scheme/compile-tree-il.scm:
    31:15  9 (_)
In ice-9/psyntax.scm:
  1262:36  8 (expand-top-sequence _ _ _ #f _ _ _)
  1209:24  7 (parse _ (("placeholder" placeholder)) ((top) #(ribcage () () ())) _ c (compile load eval) (hygiene gnucash report commodity-utilities))
   285:10  6 (parse _ (("placeholder" placeholder)) (()) _ c&e (compile load) (hygiene gnucash report commodity-utilities))
In ice-9/boot-9.scm:
  3377:20  5 (process-use-modules _)
   222:17  4 (map1 (((gnucash report report-utilities))))
  3378:31  3 (_ ((gnucash report report-utilities)))
   2803:6  2 (resolve-interface _ #:select _ #:hide _ #:prefix _ #:renamer _ #:version _)
In unknown file:
           1 (scm-error misc-error #f "~A ~S" ("no code for module" (gnucash report report-utilities)) #f)
In ice-9/boot-9.scm:
   752:25  0 (dispatch-exception _ _ _)

ice-9/boot-9.scm:752:25: In procedure dispatch-exception:
no code for module (gnucash report report-utilities)


Portage 3.0.12 (python 3.6.12-final-0, default/linux/amd64/17.1/desktop/plasma/systemd, gcc-10.2.0, glibc-2.32-r6, 5.10.4 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.10.4-x86_64-AMD_Ryzen_5_2400G_with_Radeon_Vega_Graphics-with-gentoo-2.7
KiB Mem:    14190436 total,   1466908 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sun, 03 Jan 2021 14:45:02 +0000
Head commit of repository gentoo: e6a43c89bb209739ef57d4af453c1ce1fd5ee6f8
Timestamp of repository haskell: Sun, 03 Jan 2021 00:07:08 +0000
Head commit of repository haskell: 4ffcbe3d3d397aa27e75d16e8e5816073bb49871

Head commit of repository local: d3500a00346829f53b8e3b730ed095ea2cf481c1

sh bash 5.1_p4
ld GNU gold (Gentoo 2.35.1 p2 2.35.1) 1.16
ccache version 4.1 [disabled]
app-shells/bash:          5.1_p4::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.32.0-r1::gentoo
dev-lang/python:          2.7.18-r5::gentoo, 3.7.9-r1::gentoo, 3.8.7::gentoo, 3.9.1::gentoo
dev-util/ccache:          4.1::gentoo
dev-util/cmake:           3.19.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7-r1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.3-r1::gentoo
sys-devel/binutils:       2.35.1-r1::gentoo
sys-devel/gcc:            10.2.0-r5::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r6::gentoo
Repositories:

gentoo
    location: /var/cache/portage/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: --new-compress
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-metamanifest: yes

haskell
    location: /var/db/repos/haskell
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/haskell.git
    masters: gentoo

crossdev
    location: /var/cache/portage/crossdev
    masters: gentoo
    priority: 100

local
    location: /var/cache/portage/local
    sync-type: git
    sync-uri: https://github.com/devurandom/gentoo-overlay.git
    masters: gentoo
    priority: 1000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=znver1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/grs/systems.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.6/conf"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.4/ext-active/ /etc/php/apache2-php8.0/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cgi-php8.0/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/php/cli-php8.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-pipe -O2 -march=znver1"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildsyspkg cgroup compressdebug config-protect-if-modified distlocks ebuild-locks fakeroot fixlafiles ipc-sandbox merge-sync mount-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
MAKEOPTS="-j6 -l4"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--new-compress"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp"
USE="7z 7zip X a52 aac aacplus aacs acl acpi activities aio alsa amd64 appindicator appstream archive audit avahi ayatana bdplus berkdb blake2 blas bluetooth bluray bpf branding brotli bs2b btrfs bzip2 cairo caps cdda cddb cdio cdr celt chromaprint cjk clang cli clipboard color-management colord conntrack crypt cups d3d9 dav1d dbus declarative device-mapper dirac djvu dri drm dts dvb dvd dvdr ed25519 editorconfig egl elf emboss emoji encode epub evdev exif faudio fax fdk ffmpeg fftw filecaps firefox firewalld fish-completion fits flac fontconfig fontforge fortran fribidi gamepad gbm gdal gdbm geoclue geolocation gif git gles2 gles3 gmp gnome-online-accounts gnupg google googledrive gpg gps graphicsmagick gstreamer gtk gtk3 gui gzip harfbuzz hdf5 heif http2 ibus iconv icu idn imlib inotify introspection ipv6 iwd jemalloc jpeg jpeg2k json kde kipi kms kwallet ladspa lapack latex lcms libatomic libglvnd libidn2 libinput libnotify libproxy libsecret libsoxr libtirpc libvirt lm-sensors lrz lv2 lvm lz4 lzma lzo mad magic man mariadb markdown mbim mercurial mjpeg mng mobi modemmanager modplug mp3 mp4 mpeg mplayer mpris mtp multilib mysql ncurses netlink networkmanager nftables nls nptl numa office ofono ofx ogg openal opencl opencv openexr opengl openh264 openmax openmp opus pam pango pcap pch pcre pcre2 pdf pgo phonon pixman pkcs11 pkcs7 plasma pm-utils png policykit postscript ppds prison pulseaudio pwquality python qml qrcode qt5 raw rdp readline redfish samba sasl scanner schroedinger screencast sctp sdl sdl2 seatd seccomp semantic-desktop share smartcard snappy sparse speech speex spell spice ssl startup-notification steamruntime stemmer svg systemd tbb tcpd teamd telemetry telepathy tga theora threads thunderbolt tiff timezone tmux truetype udev udisks uinput unicode unwind upnp upnp-av upower usb utempter v4l v4l2 vaapi vdpau vkd3d vorbis vpx vulkan wasm wavpack wayland webchannel webengine webp widgets wireguard wmf woff2 wps x264 x265 xattr xcb xinerama xkb xml xmp xrandr xscreensaver xv xvid xwayland xxhash xz yaml zeroconf zeromq zimg zlib zstd" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3" ELIBC="glibc" ENLIGHTENMENT_MODULES="*" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="joystick libinput" KERNEL="linux" L10N="de de-DE en en-GB ar fa tr ja ko zh zh-CN zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-javascript wiki-publisher" LIRC_DEVICES="devinput" LLVM_TARGETS="AMDGPU BPF RISCV WebAssembly" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1 lua5-4 luajit" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2 php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_8" PYTHON_TARGETS="python2_7 python3_8 pypy pypy3" QEMU_SOFTMMU_TARGETS="riscv32 riscv64 x86_64" QEMU_USER_TARGETS="riscv32 riscv64" RUBY_TARGETS="ruby25 ruby26" USERLAND="GNU" VIDEO_CARDS="amdgpu virgl" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

=================================================================
                        Package Settings
=================================================================

dev-scheme/guile-2.2.7::gentoo was built with the following:
USE="deprecated networking nls regex threads -debug -debug-malloc" ABI_X86="(64)"


app-office/gnucash-4.2-r1::gentoo was built with the following:
USE="aqbanking gui mysql nls ofx python quotes smartcard -debug -doc -examples -gnome-keyring -postgres -register2 -sqlite -test" ABI_X86="(64)" PYTHON_SINGLE_TARGET="python3_8 (-python3_6) -python3_7 -python3_9"
Comment 15 Matthias Schwarzott gentoo-dev 2021-01-20 05:42:04 UTC
dev-scheme/guile-2.2.7:12/2.2-1::gentoo  USE="deprecated networking nls regex threads -debug -debug-malloc"

Trying to update from gnucash-4.2-r1 to gnucash-4.4:
app-office/gnucash-4.4::gentoo [4.2-r1::gentoo] USE="gui nls python -aqbanking -debug -doc -examples -gnome-keyring -mysql -ofx -postgres -quotes -register2 -smartcard -sqlite -test" PYTHON_SINGLE_TARGET="python3_9* -python3_7 -python3_8* (-python3_6%)" 0 KiB

Running the failing guile command under strace gives this output that is suspicious:
[pid  1736] stat("/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4/libgnucash/tax/gnucash/engine.scm", 0x7ffe891e30a0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
[pid  1736] stat("/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4/libgnucash/tax/gnucash/engine", 0x7ffe891e30a0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
[pid  1736] stat("/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax/gnucash/engine.scm", 0x7ffe891e30a0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
[pid  1736] stat("/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax/gnucash/engine", 0x7ffe891e30a0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
[pid  1736] stat("/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax/deprecated/gnucash/engine.scm", 0x7ffe891e30a0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
[pid  1736] stat("/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax/deprecated/gnucash/engine", 0x7ffe891e30a0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
[pid  1736] stat("/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/share/guile/site/2.2/gnucash/engine.scm", 0x7ffe891e30a0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
[pid  1736] stat("/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/share/guile/site/2.2/gnucash/engine", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
[pid  1736] stat("/usr/share/guile/2.2/gnucash/engine.scm", 0x7ffe891e30a0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
[pid  1736] stat("/usr/share/guile/2.2/gnucash/engine", 0x7ffe891e30a0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
[pid  1736] stat("/usr/share/guile/site/2.2/gnucash/engine.scm", {st_mode=S_IFREG|0644, st_size=3743, ...}) = 0
[pid  1736] stat("/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/libgnucash/tax/gnucash/engine.go", 0x7ffe891e2ea0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
[pid  1736] stat("/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/guile/2.2/site-ccache/gnucash/engine.go", {st_mode=S_IFREG|0644, st_size=71445, ...}) = 0
[pid  1736] openat(AT_FDCWD, "/var/tmp/portage/app-office/gnucash-4.4/work/gnucash-4.4_build/lib64/guile/2.2/site-ccache/gnucash/engine.go", O_RDONLY|O_CLOEXEC) = 15

Especially stat-ing this file from installed gnucash: "/usr/share/guile/site/2.2/gnucash/engine.scm"

Checking for all files from installed gnucash:
[pid  1736] stat("/usr/share/guile/site/2.2/gnucash/engine.scm", {st_mode=S_IFREG|0644, st_size=3743, ...}) = 0
[pid  1736] stat("/usr/share/guile/site/2.2/gnucash/core-utils.scm", {st_mode=S_IFREG|0644, st_size=2171, ...}) = 0
[pid  1736] stat("/usr/share/guile/site/2.2/gnucash/utilities.scm", {st_mode=S_IFREG|0644, st_size=10761, ...}) = 0

But I have not seen other accesses to these files (e.g. syscall openat).
My current idea is still that the pure existance of these files modifes the guile behaviour.

$ emerge --info
Portage 3.0.13 (python 3.9.1-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-10.2.0, glibc-2.32-r7, 5.10.4-gentoo x86_64)
=================================================================
System uname: Linux-5.10.4-gentoo-x86_64-Intel-R-_Core-TM-_i3-4160_CPU_@_3.60GHz-with-glibc2.32
KiB Mem:    16307464 total,  11513696 free
KiB Swap:   52428796 total,  49360084 free
Timestamp of repository gentoo: Tue, 19 Jan 2021 07:30:01 +0000
Head commit of repository gentoo: dad134d10396d9499d1604fb4f5fffe51ae93f6d
sh bash 5.1_p4
ld GNU ld (Gentoo 2.35.1 p2) 2.35.1
distcc 3.3.3 x86_64-pc-linux-gnu [disabled]
ccache version 4.1 [enabled]
app-shells/bash:          5.1_p4::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.32.0-r1::gentoo
dev-lang/python:          2.7.18-r5::gentoo, 3.6.12-r1::gentoo, 3.8.7::gentoo, 3.9.1::gentoo
dev-util/ccache:          4.1::gentoo
dev-util/cmake:           3.19.3::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.15.1-r2::gentoo, 1.16.3-r1::gentoo
sys-devel/binutils:       2.35.1-r1::gentoo
sys-devel/gcc:            10.2.0-r5::gentoo
sys-devel/gcc-config:     2.3.2-r1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 9999
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts: 

zzam-local
    location: /usr/local/overlays/zzam
    masters: gentoo
    priority: 10000

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -g"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /usr/share/themes/oxygen-gtk/gtk-3.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.4/ext-active/ /etc/php/apache2-php8.0/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cgi-php8.0/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/php/cli-php8.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -g"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms sign splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/ https://200.236.31.1/ http://www.mirrorservice.org/sites/distfiles.gentoo.org/"
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en"
MAKEOPTS="-j4 -l4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli cmake colord crypt cups dbus declarative device-mapper dri dts dvd dvdr ebook elogind emboss encode epub exif fat flac fortran gdbm gif gphoto2 gpm gtk gui hddtemp iconv icu id3tag ipv6 jpeg kde kipi kwallet lcms libglvnd libnotify libtirpc lvm mad mmx mng mobi mp3 mp4 mpeg mplayer multilib ncurses nls nptl nsplugin ntfs ogg opengl openmp pam pango pcre pdf phonon plasma png policykit postproc ppds python qml qt5 readline samba sdl seccomp semantic-desktop spell split-usr sse sse2 ssl startup-notification subversion svg taglib tcpd tiff truetype udev udisks unicode upower usb v4l vorbis wayland widgets wxwidgets x264 xattr xcb xml xv xvid zeroconf zlib" ABI_X86="64 32" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="libinput" KERNEL="linux" L10N="de en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python2_7 python3_8 python3_9 python3_10" QEMU_SOFTMMU_TARGETS="x86_64 i386 aarch64 ppc64 arm" RUBY_TARGETS="ruby25 ruby26 ruby27" USERLAND="GNU" VIDEO_CARDS="intel i965 i915 iris" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS